List Test Suites
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}List Test Suites
List all test suites for a project
GET
/
v1
/
projects
/
{projectId}
/
test-suites
List Test Suites
Request
GET https://api.pathors.com/v1/projects/{projectId}/test-suites
Path Parameters
string
required
The project ID
Headers
string
required
Bearer token using your developer key
Response
array
Array of test suite objects with
id, name, and testCases (array of { id }).Example
curl https://api.pathors.com/v1/projects/{projectId}/test-suites \
-H "Authorization: Bearer dk_your_key"
{
"data": [
{
"id": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Regression suite",
"testCases": [
{ "id": "test-case-uuid-1" },
{ "id": "test-case-uuid-2" }
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:00:00.000Z"
}
]
}
⌘I
